Add candidate job
Create Company Candidate Job
This endpoint allows the creation of a new job for a candidate within a company.
Request Body
-
user_slug(string): The unique identifier of the user. -
company_name(string, required): The name of the company. -
start_date(string, required): The start date of the job. -
end_date(string, optional): The end date of the job. -
city_name(string): The name of the city. -
job_type_id(integer): The ID representing the type of job. -
description(string): A brief description of the job. -
job_title(string): The title of the job. -
business_area_division(string): The division or area of the business. -
lang(string): The language used for the job details.
Response
-
message(string): A message related to the request. -
status(integer): The status of the request.
Example:
{
"user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",
"company_name": "Shopee",
"start_date": "01-03-2024",
"end_date": "",
"city_name": "Batam",
"job_type_id": 2,
"description": "Cuman budak",
"job_title": "QA tester",
"business_area_division": "Consulting",
"lang": "de"
}
{
"message": "success",
"status": 201
}
Headers
Body
The body is of type object.
Response
Successful response